#!/usr/bin/env bash

# Import from the Hipex puppet repo. Originally found in
# modules/emicomonitor/files/usr/local/bin/prometheus-mdadm.sh
set -eu

for DISK in $(ls /dev/md[0-9])
do
    RAID_STATUS=$(mdadm --detail --test "${DISK}" > /dev/null; echo $?)
    echo "mdadm_test{disk=\"${DISK}\"} ${RAID_STATUS}"
done
